<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        button {
            margin: 5px;
            border-radius: 10px;
        }

        td {
            width: 150px;
            height: 20px;
            border: 1px black solid;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Metodos para manipular nodos del DOM con jQuery</h1>

        <table>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
        </table>

        <button class="eliminar">Eliminar la tabla completa</button>
        <button class="restaurar">Restaurar tabla</button>
        <button class="añadir">Añadir una fila</button>
        <button class="rojo">Borde de las celdas color rojo</button>
        <button class="azul">Borde de las celdas color azul</button>
        <button class="verde">Borde de las celdas color verde</button>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('.eliminar').click(function () {
            $('table').empty();
        });

        $('.restaurar').click(function () {
            $('table').html("<tr><td></td><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td><td></td></tr>");
        });

        $('.añadir').click(function () {
            $('table').append('<tr><td></td><td></td><td></td><td></td></tr>');
        });

        $('.rojo').click(function () {
            $('td').css({
                'border-color': 'red'
            });
        });

        $('.azul').click(function () {
            $('td').css({
                'border-color': 'blue'
            });
        });

        $('.verde').click(function () {
            $('td').css({
                'border-color': 'green'
            });
        });
    </script>
</body>

</html>